Bug 169832 - Failure to open files with spaces in their names.
Summary: Failure to open files with spaces in their names.
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-04 09:35 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 22:23:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zipfile with variety of testcase names for file-roller escaping problem (5.21 KB, application/zip)
2005-10-27 11:09 UTC, Craig Ringer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 170258 None None None 2019-04-17 03:24 UTC

Description David Woodhouse 2005-10-04 09:35:12 UTC
When a zip file contains files (and/or directories) with spaces in their names,
and a user double-clicks on them to open them, file-roller seems to misquote the
filename when invoking the application.

The files are extracted to the /tmp/fr-XXXXXX/ directory OK, but then each space
in the filename is converted to '%5C%20' (i.e. backslash, space) in the URL
passed to the application.

Comment 1 Craig Ringer 2005-10-27 10:41:04 UTC
I can reproduce this. The problem extends to more than just spaces, it's a
broader problem with incorrect escaping. I get emailed a daily zip file of some
IRC logs (all files that begin with a hash character) and file-roller also
generates an incorrect path when opening those with the default text editor gedit. 

Comment 2 Craig Ringer 2005-10-27 11:08:26 UTC
I've just created a test case zipfile. All tests in the zip file whose names
don't end in -OK failed, ie file-roller generated a bad path. The following
tests caused an error when I attempted to open them:

*test.txt
\test.txt
^[test.txt  (ie <ESC>test.txt)
^Ctest.txt  (ie <CTL>Ctest.txt)
^Mtest.txt  (ie <CTL>Mtest.txt)
^Vtest.txt  (ie <CTL>Vtest.txt)
t^Itest.txt (ie t<TAB>test.txt)

I've added a '-ERR' suffix to their names in the uploaded file.

The error in file-roller was:
"An error occurred while extracting files."
and the output it reported from zip when extracting '*test.txt' was:
"caution: filename not matched:  badpaths/\test.txt"

Errors from the others were similar.

Comment 3 Craig Ringer 2005-10-27 11:09:37 UTC
Created attachment 120460 [details]
Zipfile with variety of testcase names for file-roller escaping problem

Comment 4 Christopher Aillon 2006-03-06 22:23:00 UTC
Fixed upstream.  http://bugzilla.gnome.org/show_bug.cgi?id=170258


Note You need to log in before you can comment on or make changes to this bug.